<bugID>213288<Summary>drag and drop of bookmark from location bar to folder in bookmark toolbar broken using gtk2</Summary><Description>User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5a) Gecko/20030704 Mozilla Firebird/0.6
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5a) Gecko/20030704 Mozilla Firebird/0.6

Using a gtk2 build (compiled with --enable-default-toolkit=gtk2), it is not
possible to drag and drop a bookmark from the location bar to a folder in the
bookmark toolbar. The folder expands, but the little page icon representing the
bookmark stays stuck on the page and does not follow the mouse pointer. Clicking
on the page icon (that is stuck right by the destination folder) makes it
disappear and the bookmark is added to the folder.

This problem does not occur with builds that do not use the gtk2 toolkit.

Reproducible: Always

Steps to Reproduce:
1. Drag and drop a bookmark from the location bar to a folder in the bookmark
toolbar
2.
3.

Actual Results:  
The bookmark icons stays on the page, detached from the mouse pointer.

Expected Results:  
The bookmark icon should have stayed attached to the mouse pointer, in order to
choose where in the folder (or in subfolders) the bookmark should be inserted.

gtk2 toolkit
fresh install with no extension and default theme</Description></bugID>